$(document).ready(

  function() { 

    $(".scrollBox").niceScroll({
		cursorcolor:"#777",
		cursorwidth:5,
		scrollspeed:40,
		cursorborderradius:'0',
		mousescrollstep:40,
		cursoropacitymin:0,
		cursoropacitymax:1,
		background:"#eee",
		cursorborder:"none",
		autohidemode:false,
		boxzoom:true,
		zindex:99999

	});
  }

);

function scene01light(){
	$('.page01 .titleText .title03Effect img').css({'left':'0px'});
	$('.page01 .titleText .title03Effect img').stop().animate({
		'left':'450px'},1800,  function(){
		setTimeout(scene01light, 2000);	
	})	
}

function scene04Car(){
	$('.page04 .mask img').stop().animate({'top':'-552px'}, 1200, 'easeInOutExpo' , function(){
			$('.page04 .page04_car').css({'z-index':'99'});
			$('.page04 .page04_car').stop().animate({
					'width':'670px',
					'height':'518px',							
					'margin-left':'-333px'
							
			}, 1600, 'easeInOutExpo', function(){
				$('.page04_car_light').stop().fadeIn(500);
				$('.blueBackground').stop().delay(400).fadeIn(600);
				$('.titleText04, .page04 .SubText01').stop().delay(800).fadeIn(600);
			});
	});	
}


$(function(){	
	
	$('.movieArea .playBtn').click(function(){
		
		// $(this).fadeOut(400);
		// $('.movieArea').addClass('on');
		// $('.movieArea .textArea').fadeOut(400, function(){
		// 	$('#youtube-player')[0].contentWindow.postMessage('{"event":"command","func":"' +'playVideo' + '","args":""}', '*');
		// });
		// return false;
	});
	
	$('.movieArea').click(function(){
		if($(this).hasClass('on')){
			$('.movieArea .stopBtn').fadeIn(400,function(){
				$('.movieArea .stopBtn').delay(1500).fadeOut(400);
			});
		}
	});

	$('.movieArea .stopBtn').click(function(){
		$(this).fadeOut(400);
		$('.movieArea .playBtn').fadeIn(400);
		$('.movieArea').removeClass('on');
		$('.movieArea .textArea').fadeIn(400, function(){
			$('#youtube-player')[0].contentWindow.postMessage('{"event":"command","func":"' +'stopVideo' + '","args":""}', '*'); 
		});
		return false;
	});
	

	$('.darkBg').css({'opacity':'0.7'});

	$('.popBtn a').click(function(){
		
		var path = $(this).attr('href');
		$('.darkBg').stop().fadeIn(400);
		$('.popBox').stop().delay(300).fadeIn(400);
		$('.popBox .innerPop img').attr({'src':path});
		
		return false;
	});


	$('.popBox .closePop').click(function(){
		
		$('.darkBg, .popBox').hide();
		
		return false;
	});



	$('.topMenu li a, .navi li a').click(function(){
		
	    var posY = $($(this).attr('href')).position().top;

		// posY
		var scrollTop = $('.scrollBox').scrollTop();
		$('.scrollBox').stop().animate({'scrollTop':posY + scrollTop},1200, 'easeInOutExpo');
		
		// body, html
		
		return false;
	})

	var pageNum01 = 1;
	var pageNum02 = 1;
	var pageNum03 = 1;
	var pageNum04 = 1;
	var pageNum05 = 1;
	var pageNum06 = 1;
	var pageNum07 = 1;	
	var pageNum08 = 1;		
	var scene04Num = 1;
	
	
	$('.page04 .bell a').click(function(){
		if($(this).parent().hasClass('on')){
			$(this).parent().removeClass('on');
			$('.page04_car_light').stop().fadeOut(400, function(){
				

				$('.blueBackground, .titleText04, .page04 .SubText01').stop().fadeOut(400)
				
				
					$('.page04 .page04_car').css({'z-index':'96'});
					$('.page04 .page04_car').stop().animate({
							'width':'450px',
							'height':'348px',							
							'margin-left':'-225px'
									
					}, 800, function(){
						$('.page04 .mask img').stop().animate({'top':'0'}, 1200, 'easeInOutExpo');
					})
			});
		}else{
			$(this).parent().addClass('on');
			scene04Num = 0;
			scene04Car();

		}
	});
	
	$('.scrollBox').scroll(function(){ 
		var scrollTop = $('.scrollBox').scrollTop() ; 
		$('.posNum').text(scrollTop);

		$('.navi .ball').css({'top':scrollTop * 0.070});
		
		/** Animation **/
		
		if(scrollTop > 400 && pageNum01 == 1){
			pageNum01 = 0;
			$('.page02 .titleText02 img').stop().animate({'top':0}, 600)
		}
		if(scrollTop > 500 && pageNum02 == 1){
			pageNum02 = 0;
			$('.page02 .SubText01 img').stop().animate({'top':0}, 600)
		}
		if(scrollTop > 600 && pageNum03 == 1){
			pageNum03 = 0;
			$('.page02 .SubText02 img').stop().animate({'top':0}, 600)
		}		
		if(scrollTop > 700 && pageNum04 == 1){
			pageNum04 = 0;
			$('.page02 .SubText03 img').stop().animate({'top':0}, 600)
		}
		if(scrollTop > 1400 && pageNum05 == 1){
			pageNum05 = 0;
			$('.page03 .titleText03 img').stop().animate({'top':0}, 600)
		}
		if(scrollTop > 1500 && pageNum06 == 1){
			pageNum06 = 0;
			$('.page03 .SubText01 img').stop().animate({'top':0}, 600)
		}
		if(scrollTop > 1600 && pageNum07 == 1){
			pageNum07 = 0;
			$('.page03 .SubText02 img').stop().animate({'top':0}, 600)
		}		
		if(scrollTop > 1700 && pageNum08 == 1){
			pageNum08 = 0;
			$('.page03 .SubText03 img').stop().animate({'top':0}, 600)
		}

		if(scrollTop < 1100){
			$('.page02 .leftArea .left02').stop().animate({'margin-top':((scrollTop-1100)*0.1), 'margin-left':((scrollTop-1100)*0.1)}, 400)
		}
		

		if(scrollTop > 1200 && scrollTop < 1400){
			$('.page02 .leftArea .left03').stop().animate({'margin-top':((scrollTop-1400)*0.1), 'margin-left':((scrollTop-1400)*0.1)}, 400)
		}
		
		if(scrollTop < 900){
	$('.page02 .right01 img').stop().animate({'margin-left':-((scrollTop-100)*0.08)}, 500)
	$('.page02 .right01Shadow img').stop().animate({'margin-left':-((scrollTop-100)*0.08)}, 500)
	$('.page02 .right02 img').stop().animate({'margin-left':-((scrollTop-100)*0.08)}, 1200)
	$('.page02 .right02Shadow img').stop().animate({'margin-left':-((scrollTop-100)*0.08)}, 1200)
	$('.page02 .right03 img').stop().animate({'margin-left':-((scrollTop-100)*0.08)}, 1800)
	$('.page02 .right03Shadow img').stop().animate({'margin-left':-((scrollTop-100)*0.08)}, 1800)
	$('.page02 .right04 img').stop().animate({'margin-left':-((scrollTop-100)*0.08)}, 2500)
	$('.page02 .right04Shadow img').stop().animate({'margin-left':-((scrollTop-100)*0.08)}, 2500)
		}								
		
		if(scrollTop < 1000){
	$('.page02 .rightCar img').stop().animate({'margin-left':-((scrollTop-1000)*0.3)}, 600)
		}
		if(scrollTop > 2990 && scene04Num == 1){
			scene04Num = 0;
			scene04Car();
			$('.page04 .bell').addClass('on');
		}else if(scrollTop < 3000 && scene04Num ==0){
			scene04Num = 1;
		}
		if(scrollTop > 1600){
	$('.page03 .rightPicture img').fadeIn(2500);
		}

	});

});